<template>
  <div class="user-setting-tariffing">
    <div class="row">
      <div
        v-if="tariffData.length"
        class="col-xs-6"
      >
        <div class="row">
          <div class="col-xs-12">
            <b>Для тарифов с онлайн-ценами</b>
          </div>
        </div>

        <div class="row">
          <div class="col-xs-8">
            <p>
              Стоимость одного километра допробега
            </p>
          </div>

          <div class="col-xs-4">
            <ObInput
                class="user-setting-tariffing__input"
                label="Стоимость 1 км допробега"
                v-model="tariffData[0].value"
                placeholder="Введите значение"
                icon="icon question"
                type="money:2"
                subTitle="₽"
                @blur="update"
            />
          </div>
        </div>

        <div class="row">
          <div class="col-xs-8">
            <p>
              Стоимость одной допточки
            </p>
          </div>

          <div class="col-xs-4">
            <ObInput
                class="user-setting-tariffing__input"
                label="Стоимость одной допточки"
                v-model="tariffData[1].value"
                type="money:2"
                placeholder="Введите значение"
                icon="icon question"
                subTitle="₽"
                @blur="update"
            />
          </div>
        </div>

        <div class="row">
          <div class="col-xs-12">
            <b>Для расчёта онлайн-цены</b>
          </div>
        </div>

        <div class="row">
          <div class="col-xs-8">
            <p>
              Количество дней дебиторской задолженности
            </p>
          </div>

          <div class="col-xs-4">
            <ObInput
                class="user-setting-tariffing__input"
                label="Кол-во дней"
                v-model="tariffData[2].value"
                placeholder="Введите значение"
                icon="icon question"
                subTitle="к.д."
                @blur="update"
            />
          </div>
        </div>

        <div class="row">
          <div class="col-xs-8">
            <p>
              Стоимость денег. Используется при расчёте адресной базовой цены
            </p>
          </div>

          <div class="col-xs-4">
            <ObInput
                class="user-setting-tariffing__input"
                label="Процентов годовых"
                v-model="tariffData[3].value"
                placeholder="Введите значение"
                icon="icon question"
                subTitle="%"
                @blur="update"
            />
          </div>
        </div>

      </div>
    </div>
  </div>
</template>

<script>
  import ObInput from "common-components/src/obComponents/obInput";
  import {mapActions, mapGetters} from "vuex";
  export default {
    name: "Tariffing",
    components: {
      ObInput
    },
    data() {
      return {
        tariffData: []
      }
    },
    computed: {
      ...mapGetters({
        userUuid: 'user/participantUuid',
        settingsType: 'clicarSettings_2/settingsType',
        settings: 'clicarSettings_2/settings',
        tariff: 'clicarSettings_2/tariff'
      })
    },
    methods: {
      ...mapActions({
        getSettings: 'clicarSettings_2/getSettings',
        getSettingsType: 'clicarSettings_2/getSettingsType',
        putSettings: 'clicarSettings_2/putSettings',
        update() {
          this.putSettings(this.tariffData).then( () => {
            this.$notification({
              type: 'system_notification_success',
              message: 'Сохранено'
            })
          })
        }
      })
    },
    mounted() {
      this.getSettingsType('TARIFF')
      this.getSettings(this.userUuid).then( () => {
        this.tariffData = this.settings.tariff || []
      })
    }
  }
</script>

<style scoped lang="scss">
  .user-setting-tariffing {
    .row {
      margin-bottom: 30px;
    }
    .col-xs-12 {
      margin-bottom: -16px;
    }
  }
</style>
